# Uses of Class
net.shibboleth.idp.plugin.authn.webauthn.context.WebAuthnRegistrationErrorContext

Packages that use WebAuthnRegistrationErrorContext
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.context
Context APIs for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.context.navigate
Context navigation APIs for WebAuthn.

## Uses of WebAuthnRegistrationErrorContext in net.shibboleth.idp.plugin.authn.webauthn.context

Methods in net.shibboleth.idp.plugin.authn.webauthn.context that return WebAuthnRegistrationErrorContext
Modifier and Type
Method
Description
`WebAuthnRegistrationErrorContext`
WebAuthnRegistrationErrorContext.`addClassifiedError(String error)`
Adds a classified error to the context, ensuring that it will be returned from `getLastClassifiedError()` until another is added.

## Uses of WebAuthnRegistrationErrorContext in net.shibboleth.idp.plugin.authn.webauthn.context.navigate

Fields in net.shibboleth.idp.plugin.authn.webauthn.context.navigate with type parameters of type WebAuthnRegistrationErrorContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,WebAuthnRegistrationErrorContext>`
RegistrationErrorMessageLookupFunction.`webauthnErrorContextLookupStrategy`
Lookup strategy to locate the WebAuthn registration information context.
Method parameters in net.shibboleth.idp.plugin.authn.webauthn.context.navigate with type arguments of type WebAuthnRegistrationErrorContext
Modifier and Type
Method
Description
`void`
RegistrationErrorMessageLookupFunction.`setWebauthnErrorContextLookupStrategy(Function<ProfileRequestContext,WebAuthnRegistrationErrorContext> strategy)`
Set the strategy used to lookup the `WebAuthnRegistrationErrorContext`.